package juego;

import stratego.Tablero;
import stratego.Movimiento;
import stratego.Pieza;
import stratego.Puntero;

public class TestingTablero extends Tablero
{
	public TestingTablero() {}
	
	public TestingTablero(Tablero t)
	{
		super(t);
	}

	public boolean move(Movimiento m)
	{
		if (!super.move(m))
			return attack(m);
		return false;
	}

	public void undo(Pieza fp, Puntero f, Pieza tp, Puntero t)
	{
		setPiece(fp, f);
		setPiece(tp, t);
		
	}
	
	public boolean validMove(Puntero f, Puntero t)
	{
		if (super.validAttack(new Movimiento(getPiece(f), f, t)))
			return true;
		
		return super.validMove(new Movimiento(getPiece(f), f, t));
	}
	
	@Override
	protected void setKnown(Pieza p, boolean b){}

	@Override
	protected void setShown(Pieza p, boolean b){}
}
